## org.exist.xmldb
Class FullXmldbURI

    java.lang.Object
      org.exist.xmldb.XmldbURI
          org.exist.xmldb.FullXmldbURI

All Implemented Interfaces:
  java.lang.Comparable

public class FullXmldbURI
extends XmldbURI

Field Summary

Fields inherited from class org.exist.xmldb.XmldbURI
`API_LOCAL, API_REST, API_WEBDAV, API_XMLRPC, CONFIG_COLLECTION_URI, DEFAULT_INSTANCE_NAME, EMBEDDED_SERVER_AUTHORITY, EMBEDDED_SERVER_URI, EMPTY_URI, NO_PORT, RELATIVE_ROOT_COLLECTION_URI, ROOT_COLLECTION_URI, SYSTEM_COLLECTION_URI, TEMP_COLLECTION_URI, XMLDB_SCHEME, XMLDB_URI_PREFIX`

Method Summary
`java.lang.String` `getApiName()`
`java.lang.String` `getAuthority()`
`java.lang.String` `getContext()`
`java.lang.String` `getFragment()`
`java.lang.String` `getHost()`
`java.lang.String` `getInstanceName()`
`int` `getPort()`
`java.lang.String` `getQuery()`
`java.lang.String` `getRawAuthority()`
`java.lang.String` `getRawFragment()`
`java.lang.String` `getRawQuery()`
`java.lang.String` `getRawUserInfo()`
`java.net.URI` `getURI()` This returns a proper heirarchical URI - the xmldb scheme is trimmed from the beginning.
`java.lang.String` `getUserInfo()`
`java.net.URI` `getXmldbURI()` This returns an xmldb uri.
`boolean` `isAbsolute()`
`boolean` `isContextAbsolute()`
`XmldbURI` `normalizeContext()`
`java.net.URI` `relativizeContext(java.net.URI uri)`
`java.net.URI` `resolveContext(java.lang.String str)`
`java.net.URI` `resolveContext(java.net.URI uri)`

Methods inherited from class org.exist.xmldb.XmldbURI

`append, append, appendInternal, checkPath, checkPath2, compareTo, create, create, create, createInternal, endsWith, endsWith, equals, equalsInternal, getCollectionPath, getPathComponents, getPathSegments, getRawCollectionPath, hashCode, isCollectionPathAbsolute, lastSegment, makeAbsolute, normalizeCollectionName, normalizeCollectionPath, numSegments, prepend, recoverPseudoURIs, relativizeCollectionPath, removeLastSegment, resolveCollectionPath, resolveCollectionPath, startsWith, startsWith, toASCIIString, toCollectionPathURI, toString, toURL, trimFromBeginning, trimFromBeginning, xmldbUriFor, xmldbUriFor, xmldbUriFor`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getURI

    public java.net.URI getURI()

  Description copied from class: `XmldbURI`
  This returns a proper heirarchical URI - the xmldb scheme is trimmed from the beginning. The scheme will be the instance name, and all other fields will be populated as would be expected from a heirarchical URI

  Overrides:
    `getURI` in class `XmldbURI`
  See Also:
    `XmldbURI.getXmldbURI()`

### getXmldbURI

    public java.net.URI getXmldbURI()

  Description copied from class: `XmldbURI`
  This returns an xmldb uri. This is the most generic sort of uri - the only fields set in the uri are scheme and schemeSpecificPart

  Overrides:
    `getXmldbURI` in class `XmldbURI`

### getInstanceName

    public java.lang.String getInstanceName()

  Overrides:
    `getInstanceName` in class `XmldbURI`

### getApiName

    public java.lang.String getApiName()

  Overrides:
    `getApiName` in class `XmldbURI`

### getContext

    public java.lang.String getContext()

  Overrides:
    `getContext` in class `XmldbURI`

### isAbsolute

    public boolean isAbsolute()

  Overrides:
    `isAbsolute` in class `XmldbURI`

### isContextAbsolute

    public boolean isContextAbsolute()

  Overrides:
    `isContextAbsolute` in class `XmldbURI`

### normalizeContext

    public XmldbURI normalizeContext()

  Overrides:
    `normalizeContext` in class `XmldbURI`

### relativizeContext

    public java.net.URI relativizeContext(java.net.URI uri)

  Overrides:
    `relativizeContext` in class `XmldbURI`

### resolveContext

    public java.net.URI resolveContext(java.lang.String str)
                                throws java.lang.NullPointerException,
                                       java.lang.IllegalArgumentException

  Overrides:
    `resolveContext` in class `XmldbURI`
  Throws:
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### resolveContext

    public java.net.URI resolveContext(java.net.URI uri)
                                throws java.lang.NullPointerException

  Overrides:
    `resolveContext` in class `XmldbURI`
  Throws:
    `java.lang.NullPointerException`

### getAuthority

    public java.lang.String getAuthority()

  Overrides:
    `getAuthority` in class `XmldbURI`

### getFragment

    public java.lang.String getFragment()

  Overrides:
    `getFragment` in class `XmldbURI`

### getPort

    public int getPort()

  Overrides:
    `getPort` in class `XmldbURI`

### getQuery

    public java.lang.String getQuery()

  Overrides:
    `getQuery` in class `XmldbURI`

### getRawAuthority

    public java.lang.String getRawAuthority()

  Overrides:
    `getRawAuthority` in class `XmldbURI`

### getHost

    public java.lang.String getHost()

  Overrides:
    `getHost` in class `XmldbURI`

### getUserInfo

    public java.lang.String getUserInfo()

  Overrides:
    `getUserInfo` in class `XmldbURI`

### getRawFragment

    public java.lang.String getRawFragment()

  Overrides:
    `getRawFragment` in class `XmldbURI`

### getRawQuery

    public java.lang.String getRawQuery()

  Overrides:
    `getRawQuery` in class `XmldbURI`

### getRawUserInfo

    public java.lang.String getRawUserInfo()

  Overrides:
    `getRawUserInfo` in class `XmldbURI`

Copyright (C) Wolfgang Meier. All rights reserved.